<!-- Generated by Mocodo 4.2.8 -->

<div class="mld">
<div>
  <details><summary><span class='relation'>ARTICLE</span> (
    <span class='primary'>title</span>,
    <span class='normal'>content</span>,
    <span class='normal'>source</span>,
    <span class='normal'>created_At</span>,
    <span class='normal'>updated_At</span>,
    <span class='normal'>published_At</span>
  )</summary>
  <ul>
    <li>Le champ <i>title</i> constitue la clé primaire de la table. C'était déjà un identifiant de l'entité <i>ARTICLE</i>.</li>
    <li>Les champs <i>content</i>, <i>source</i>, <i>created_At</i>, <i>updated_At</i> et <i>published_At</i> étaient déjà de simples attributs de l'entité <i>ARTICLE</i>.</li>
  </ul></details>
</div>

<div>
  <details><summary><span class='relation'>DEPÊCHE_AFP</span> (
    <span class='primary'>afp_uuid</span>,
    <span class='normal'>content</span>,
    <span class='normal'>date</span>,
    <span class='foreign'>#title</span>
  )</summary>
  <ul>
    <li>Le champ <i>afp_uuid</i> constitue la clé primaire de la table. C'était déjà un identifiant de l'entité <i>DEPÊCHE_AFP</i>.</li>
    <li>Les champs <i>content</i> et <i>date</i> étaient déjà de simples attributs de l'entité <i>DEPÊCHE_AFP</i>.</li>
    <li>Le champ <i>title</i> est une clé étrangère. Il a migré par l'association de dépendance fonctionnelle <i>GENERATE</i> à partir de l'entité <i>ARTICLE</i> en perdant son caractère identifiant.</li>
  </ul></details>
</div>

<div>
  <details><summary><span class='relation'>DESCRIBE</span> (
    <span class='primary'>name</span>,
    <span class='foreign primary'>#title</span>
  )</summary>
  <ul>
    <li>Le champ <i>name</i> fait partie de la clé primaire de la table. Sa table d'origine (<i>TAG</i>) ayant été supprimée, il n'est pas considéré comme clé étrangère.</li>
    <li>Le champ <i>title</i> fait partie de la clé primaire de la table. C'est une clé étrangère qui a migré directement à partir de l'entité <i>ARTICLE</i>.</li>
  </ul></details>
</div>

<div>
  <details><summary><span class='relation'>ILLUSTRATE</span> (
    <span class='foreign primary'>#title</span>,
    <span class='primary'>url</span>
  )</summary>
  <ul>
    <li>Le champ <i>title</i> fait partie de la clé primaire de la table. C'est une clé étrangère qui a migré directement à partir de l'entité <i>ARTICLE</i>.</li>
    <li>Le champ <i>url</i> fait partie de la clé primaire de la table. Sa table d'origine (<i>IMAGE</i>) ayant été supprimée, il n'est pas considéré comme clé étrangère.</li>
  </ul></details>
</div>

<br><hr>

<div>
  <span><strong>NB.</strong> Les tables <i>IMAGE</i> et <i>TAG</i> ont été supprimées car elles étaient réduites à la clé primaire de leur entité d'origine. Pour conserver de telles tables, préfixez d'un « + » la définition des entités d'origine.</span>
</div>
</div>
